> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Team Folder Activate

POST https://api.dropboxapi.com/2/team/team_folder/activate
Content-Type: application/json

Sets an archived team folder's status to active.

 Permission : Team member file access.

**Required scope:** `team_data.content.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/business-endpoints/team/team-folder-activate

## Authentication

- `Authorization` header (bearer token, required) — Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Body (application/json)

This endpoint expects an object.

- `team_folder_id` (any, required) — The ID of the team folder.

## Response

### 200

Successful response

- `content_sync_settings` (list of object, required) — Sync settings applied to contents of this team folder.
  - `id` (string, required) — Id of the item this setting is applied to.
  - `sync_setting` (object or object or object or object, required) — Setting for this item.
    - files.SyncSetting.default
      - `.tag` (enum, required)
        - Allowed values: `default`
    - files.SyncSetting.not_synced
      - `.tag` (enum, required)
        - Allowed values: `not_synced`
    - files.SyncSetting.not_synced_inactive
      - `.tag` (enum, required)
        - Allowed values: `not_synced_inactive`
    - Other
      - `.tag` (string, optional)
- `is_team_shared_dropbox` (boolean, required) — True if this team folder is a shared team root.
- `name` (string, required) — The name of the team folder.
- `status` (object or object or object or object or object, required) — The status of the team folder.
  - team.TeamFolderStatus.active
    - `.tag` (enum, required)
      - Allowed values: `active`
  - team.TeamFolderStatus.archived
    - `.tag` (enum, required)
      - Allowed values: `archived`
  - team.TeamFolderStatus.archive_in_progress
    - `.tag` (enum, required)
      - Allowed values: `archive_in_progress`
  - team.TeamFolderStatus.inactive
    - `.tag` (enum, required)
      - Allowed values: `inactive`
  - Other
    - `.tag` (string, optional)
- `sync_setting` (object or object or object or object, required) — The sync setting applied to this team folder.
  - files.SyncSetting.default
    - `.tag` (enum, required)
      - Allowed values: `default`
  - files.SyncSetting.not_synced
    - `.tag` (enum, required)
      - Allowed values: `not_synced`
  - files.SyncSetting.not_synced_inactive
    - `.tag` (enum, required)
      - Allowed values: `not_synced_inactive`
  - Other
    - `.tag` (string, optional)
- `team_folder_id` (any, required) — The ID of the team folder.
- `quota_limit` (long, optional) — The quota limit in bytes for this team folder namespace tree.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object or object or object, required)
  - team.TeamFolderActivateError.access_error
    - `.tag` (enum, required)
      - Allowed values: `access_error`
    - `access_error` (object or object or object, required)
      - team.TeamFolderAccessError.invalid_team_folder_id
        - `.tag` (enum, required)
          - Allowed values: `invalid_team_folder_id`
      - team.TeamFolderAccessError.no_access
        - `.tag` (enum, required)
          - Allowed values: `no_access`
      - Other
        - `.tag` (string, optional)
  - team.TeamFolderActivateError.status_error
    - `.tag` (enum, required)
      - Allowed values: `status_error`
    - `status_error` (object or object or object or object, required)
      - team.TeamFolderInvalidStatusError.active
        - `.tag` (enum, required)
          - Allowed values: `active`
      - team.TeamFolderInvalidStatusError.archived
        - `.tag` (enum, required)
          - Allowed values: `archived`
      - team.TeamFolderInvalidStatusError.archive_in_progress
        - `.tag` (enum, required)
          - Allowed values: `archive_in_progress`
      - Other
        - `.tag` (string, optional)
  - team.TeamFolderActivateError.team_shared_dropbox_error
    - `.tag` (enum, required)
      - Allowed values: `team_shared_dropbox_error`
    - `team_shared_dropbox_error` (object or object, required)
      - team.TeamFolderTeamSharedDropboxError.disallowed
        - `.tag` (enum, required)
          - Allowed values: `disallowed`
      - Other
        - `.tag` (string, optional)
  - team.TeamFolderActivateError.folder_count_limit_exceeded
    - `.tag` (enum, required)
      - Allowed values: `folder_count_limit_exceeded`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "team_folder_id": null
}
```

**Response**

```json
{
  "content_sync_settings": [
    {
      "id": "id:a4ayc_80_OEAAAAAAAAAXw",
      "sync_setting": {
        ".tag": "default"
      }
    }
  ],
  "is_team_shared_dropbox": false,
  "name": "Marketing",
  "status": {
    ".tag": "active"
  },
  "sync_setting": {
    ".tag": "default"
  },
  "team_folder_id": null,
  "quota_limit": 123456789
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/team/team_folder/activate"

payload = { "team_folder_id": None }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/team/team_folder/activate';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"team_folder_id":null}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/team/team_folder/activate"

	payload := strings.NewReader("{\n  \"team_folder_id\": null\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/team/team_folder/activate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"team_folder_id\": null\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/team/team_folder/activate")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"team_folder_id\": null\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/team/team_folder/activate', [
  'body' => '{
  "team_folder_id": null
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/team/team_folder/activate");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"team_folder_id\": null\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["team_folder_id": ] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/team/team_folder/activate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```